[Date Prev][Date Next] [Chronological] [Thread] [Top]

Re: Installation problems on Linux

At 11:43 AM 2/16/99 -0500, Himanshu wrote:
>I am trying to install openLDAP version 1.1.4 on Linux
>I have no success of making it through 'configure' --with-threads.

You might browse the archives of -stable/-bugs.  I believe this
was covered before.

>I was able to install Sleepycat Berkeley DB2 (version DB2.3.16)
>successfully prior to installation of LDAP.

Make sure you compile it with -D_REENTRANT ONLY if you are using
threads.  Otherwise, -U_REENTRANT.

>Next I tried to install the same version with option --without-threads and
>it worked out. slapd is running without threads.
>Can anyone guide me as to what the problem is in installing openLDAP with

Again, see the archives, or maybe the FAQ...  You might also want to
try our current version, OpenLDAP 1.2.  It detected threads, compiled,
and ran just fine under RedHat 5.2.

>If I continue using version 1.1.4 without threads, where will it affect
>the most (in performance ) ?

Well, it should be more stable.  OpenLDAP 1.1.x has significant problems
running in threading environments.  OpenLDAP 1.2 is much better (though
your mileage may vary).